## python-pyproj 1.8.7

=== debian/changelog ===
python-pyproj (1.8.7-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Standards-Version bumped to 3.9.1, no changes needed

 -- David Paleino <dapal@debian.org>  Mon, 02 Aug 2010 21:39:58 +0200

python-pyproj (1.8.6-3) unstable; urgency=low

  * debian/control:
    - long description improved.
    - Standards-Version bumped to 3.8.4, no changes needed
    - added Vcs-* fields
    - Build-Depend on python-all-dev, instead of python-dev
  * debian/watch fixed to use googlecode.debian.net redirector
    (Closes: #582869)
  * debian/pyversions added (instead of XS-Python-Version in
    debian/control)
  * debian/README.source removed

 -- David Paleino <dapal@debian.org>  Tue, 15 Jun 2010 18:06:00 +0200

python-pyproj (1.8.6-2) unstable; urgency=low

  * debian/control, debian/rules: remove usage of quilt
    (Closes: #561395)

 -- David Paleino <dapal@debian.org>  Fri, 18 Dec 2009 23:31:53 +0100

python-pyproj (1.8.6-1) unstable; urgency=low

  * Initial release. (Closes: #515053)

 -- David Paleino <dapal@debian.org>  Fri, 11 Dec 2009 19:38:28 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/python-pyproj/ -name "data" -type d | xargs rm -rf

%:
	dh $@

=== debian/watch ===
version=3
http://googlecode.debian.net/p/pyproj/pyproj-(\d+.*)\.tar\.gz

## python-pyproj 1.8.8

=== debian/changelog ===
python-pyproj (1.8.8-2) experimental; urgency=low

  * Upload to ease sync to Ubuntu
  * debian/changelog: merged Ubuntu's "pyproj" changelog

 -- David Paleino <dapal@debian.org>  Mon, 06 Dec 2010 20:20:31 +0100

python-pyproj (1.8.8-1) experimental; urgency=low

  * New upstream version
  * debian/watch: don't use the redirector anymore, since I'm going
    to shut it down
  * debian/patches/02-dont_compile_datums.patch added: don't compile
    datum files, since we're using the ones provided by proj-data

 -- David Paleino <dapal@debian.org>  Thu, 16 Sep 2010 11:25:55 +0200

pyproj (1.8.6-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/copyright: Update to the new format template.
  * debian/control: Bump Standards.
  * Add debian/README.source to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 09 Nov 2009 11:22:49 +0100

pyproj (1.8.5-0ubuntu4) lucid; urgency=low

  * Limit override_dh_fixperms to architecture independent packages to fix
    FTBFS on non-i386 arch (LP: #462619)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Oct 2009 09:50:37 -0400

pyproj (1.8.5-0ubuntu3) karmic; urgency=low

  * Rework package to build again (FTBFS in Karmic rebuild test):
    - Convert to debhelper minimal rules
    - Update version requirements for debhelper and quilt
    - Drop cdbs build-depends
    - Bump compat to 7

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Oct 2009 23:54:00 -0400

pyproj (1.8.5-0ubuntu2) jaunty; urgency=low

  * No change rebuild with python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2009 13:35:56 +0000

pyproj (1.8.5-0ubuntu1) jaunty; urgency=low

  * Initial Release (LP: #326996).

 -- Chris Murphy <chrismurf+ubuntu@gmail.com>  Sun, 08 Feb 2009 23:41:29 -0500

## python-pyproj 2.5.0+ds

=== Makefile ===
# This was based on a Makefile by Kirk Hansen <https://github.com/kirkhansen>

.PHONY: clean clean-test clean-pyc clean-build clean-setup clean-cython docs help test
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python3 -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test clean-setup clean-cython ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

clean-setup: ## run python setup.py clean
	python setup.py clean

clean-cython: ## clean the cython files
	rm -f pyproj/*.so
	rm -f pyproj/*/*.so
	rm -f pyproj/*/*.c
	rm -f pyproj/*.c

lint: ## check style with flake8
	flake8 --max-line-length 88 setup.py pyproj/ test/ docs/

check: lint ## flake8 black isort check
	black --check setup.py pyproj/ test/ docs/
	isort --check --recursive -m 3 -w 88 -tc -p test setup.py pyproj/ test/ docs/

isort: ## order imports
	isort --recursive -m 3 -w 88 -tc -p test setup.py pyproj/ test/ docs/

black: ## black format files
	black setup.py pyproj/ test/ docs/

test: ## run tests
	py.test

test-verbose: ## run tests with full verbosity
	py.test -vv -s

test-coverage:  ## run tests and generate coverage report
	py.test --cov-report term-missing --cov=pyproj -v -s

install-docs: ## Install requirements for building documentation
	pip install sphinx sphinx_rtd_theme

docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

docs-browser: docs ## generate Sphinx HTML documentation, including API docs and open in a browser
	$(BROWSER) docs/_build/html/index.html

install: clean ## install the package to the active Python's site-packages
	python setup.py install

install-dev: clean ## install development version to active Python's site-packages
	pip install -U -r requirements-dev.txt
	PYPROJ_FULL_COVERAGE=YES pip install -e . --no-use-pep517 || PYPROJ_FULL_COVERAGE=YES pip install -e .

## python-pyproj 1.8.9

=== debian/changelog ===
python-pyproj (1.8.9-1.1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 02:02:07 +0100

python-pyproj (1.8.9-1.1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:46 +0000

python-pyproj (1.8.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for python3 (Closes: #720379)
    - Add python3-pyroj to debian/control
    - Add dh-python and python3-all-dev to build depends
    - Build with python3 and buildstysem=pybuild
    - Add debian/python-pyproj.install debian/python3-pyproj.install for
      multi-binary package
  * Drop obsolete build-dep on pysupport

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Aug 2013 01:26:12 -0400

python-pyproj (1.8.9-1) unstable; urgency=low

  * New upstream version
  * Patches refreshed
  * Use dh_python2 in debian/rules

 -- David Paleino <dapal@debian.org>  Wed, 09 Mar 2011 17:39:24 +0100

python-pyproj (1.8.8-3) unstable; urgency=low

  * Upload to unstable.

 -- David Paleino <dapal@debian.org>  Sat, 12 Feb 2011 17:18:00 +0100

=== debian/control ===
Source: python-pyproj
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~)
 , dh-python
 , python-all-dev
 , python3-all-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/pyproj/
Vcs-Git: git://git.debian.org/git/pkg-grass/python-pyproj.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/python-pyproj.git

Package: python-pyproj
Architecture: any
Provides: ${python:Provides}
Depends:
 ${python:Depends}
 , ${shlibs:Depends}
 , ${misc:Depends}
 , proj-data
Description: Python interface to PROJ.4 library
 PROJ.4 performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python binding to PROJ.4, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

Package: python3-pyproj
Architecture: any
Depends:
 ${python3:Depends}
 , ${shlibs:Depends}
 , ${misc:Depends}
 , proj-data
Description: Python 3 interface to PROJ.4 library
 PROJ.4 performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python 3 binding to PROJ.4, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/ -name "data" -type d | xargs rm -rf


%:
	dh $@ \
		--with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://code.google.com/p/pyproj/downloads/list \
	http://pyproj.googlecode.com/files/pyproj-(\d+.*)\.tar\.gz

## python-pyproj 1.9.4

=== debian/changelog ===
python-pyproj (1.9.4-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 20:08:48 +0000

python-pyproj (1.9.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2015 22:16:14 +0200

python-pyproj (1.9.4-1~exp2) experimental; urgency=medium

  * Require at least libproj-dev 4.9.0~ for geodesic.h.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Mar 2015 11:38:49 +0100

python-pyproj (1.9.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Update watch file with sepwatch changes.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme.
  * Bump debhelper compatibility to 9.
  * Use canonical Vcs-* URLs.
  * Enable parallel builds.
  * Additional cleanup of generated files.
  * Set pybuild name to pyproj.
  * Remove pyversion file and add X-Python*-Version to control file.
  * Drop doc-base registration for README.html, no longer included.
  * Update copyright file using copyright-format 1.0.
  * Use setup-proj.py for system installed Proj.4 library.
  * Update watch file for GitHub releases.
  * Add upstream metadata.
  * Update Homepage URL for move to GitHub.
  * Bump Standards-Version to 3.9.6, changes: canonical Vcs-* URLs,
    copyright-format 1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Mar 2015 04:29:13 +0100

=== debian/control ===
Source: python-pyproj
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-setuptools,
               python-numpy,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               libproj-dev (>= 4.9.0~)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/python-pyproj.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-pyproj.git
Homepage: https://github.com/jswhit/pyproj
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2

Package: python-pyproj
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Provides: ${python:Provides}
Description: Python interface to PROJ.4 library
 PROJ.4 performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python binding to PROJ.4, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

Package: python3-pyproj
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Description: Python 3 interface to PROJ.4 library
 PROJ.4 performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python 3 binding to PROJ.4, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyproj

# Path to system installed Proj.4 data.
export PROJ_DIR=/usr/

%:
	dh $@ \
		--with python2,python3 \
		--buildsystem=pybuild \
		--parallel

override_dh_clean:
	dh_clean lib/pyproj/data/FL lib/pyproj/data/MD \
	         lib/pyproj/data/TN lib/pyproj/data/WI \
	         lib/pyproj/data/WO \
	         lib/pyproj/data/alaska lib/pyproj/data/conus \
	         lib/pyproj/data/hawaii lib/pyproj/data/null \
	         lib/pyproj/data/prvi lib/pyproj/data/stgeorge \
	         lib/pyproj/data/stlrnc lib/pyproj/data/stpaul \
	         nad2bin nad2bin.o \
	         src/pj_malloc.o

override_dh_install:
	dh_install --list-missing

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g; s/rel$//; s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)(?:rel)?\.tar\.gz/pyproj-$1.tar.gz/" \
https://github.com/jswhit/pyproj/releases \
(?:.*/)*(?:rel|v|pyproj|)[\-\_]?(\d[\d\-\.]+[a-z]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyproj 1.9.5.1

=== debian/changelog ===
python-pyproj (1.9.5.1-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.4, no changes.
  * Check DEB_BUILD_PROFILES for nocheck in dh_auto_test override.
  * Rename PROJ.4 to PROJ.
  * Update Vcs-* URLs for Salsa.
  * Add module import tests to autopkgtest configuration.
  * Drop ancient X-Python{,3}-Version fields.
  * Strip trailing whitespace from control & rules files.
  * Use DEP-3 headers for Cython patch, specifically Origin header.
  * Move _proj.c out of the way before the build and restore it afterwards.

  [ Iain Lane ]
  * debian/patches/Use-Cython-in-setup.py-to-generate-C-code-on-the-fly.patch:
    Cherry-pick from upstream. This makes _proj.c get regenerated during the
    build, which fixes FTBFS when it is incompatible with the current python
    version (e.g. the shipped _proj.c doesn't work with python 3.7).
  * debian/control: Build-Depend on cython for the above.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jul 2018 16:09:05 +0200

python-pyproj (1.9.5.1-3) unstable; urgency=medium

  * Add patch to fix 'international' typo.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 07:48:46 +0200

python-pyproj (1.9.5.1-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Update dh_python calls to act on specific package.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop dh_numpy{,3} calls, numpy support disabled upstream.
    (closes: #821109)
  * Enable all hardening buildflags, except PIE (causes build failure).

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Apr 2016 18:25:26 +0200

python-pyproj (1.9.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Jan 2016 23:53:14 +0100

python-pyproj (1.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for Charles Karney
    - Add Even Rouault & Andrey Kiselev to copyright holders
    - Add license & copyright for src/PJ_sch.c
  * Drop 02-use_setup-proj.patch, no longer required.
    setup.py now supports system proj directly.
  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file, handle alternative tar extensions.
  * Add patch to have setup.py not modify lib/pyproj/datadir.py*.
    setup.py doesn't need to modify lib/pyproj/datadir.py,
    it is already patched for use by the Debian package.
  * Enable unit tests with pybuild override.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Jan 2016 23:41:02 +0100

=== debian/control ===
Source: python-pyproj
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               cython,
               python-all-dev,
               python-setuptools,
               python-numpy,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               libproj-dev (>= 4.9.0~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
Homepage: https://github.com/jswhit/pyproj

Package: python-pyproj
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Provides: ${python:Provides}
Description: Python interface to PROJ library
 PROJ performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python binding to PROJ, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

Package: python3-pyproj
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Description: Python 3 interface to PROJ library
 PROJ performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python 3 binding to PROJ, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pyproj
 
@@ -26,14 +29,27 @@
 	         nad2bin nad2bin.o \
 	         src/pj_malloc.o
 
+override_dh_auto_configure:
+	mv -v $(CURDIR)/_proj.c $(CURDIR)/_proj.c.bak
+
+	dh_auto_configure
+
+override_dh_auto_build:
+	dh_auto_build
+
+	mv -v $(CURDIR)/_proj.c.bak $(CURDIR)/_proj.c
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} unittest/test.py -v" dh_auto_test || echo "Ignoring test failures"
+endif
+
 override_dh_install:
 	dh_install --list-missing
 
 override_dh_python2:
-	dh_python2
-	dh_numpy
+	dh_python2 -ppython-pyproj
 
 override_dh_python3:
-	dh_python3
-	dh_numpy3
-
+	dh_python3 -ppython3-pyproj

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-pyproj
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyproj; print(pyproj)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-pyproj
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyproj; print(pyproj)" ; done

## python-pyproj 1.9.6

=== debian/changelog ===
python-pyproj (1.9.6-2) unstable; urgency=medium

  * Also call dh_numpy{,3} in dh_python{2,3} overrides.
  * Update GitHub URLs for move to pyproj4 organisation.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Disable tests for Python 2, see: #934116.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 13:51:15 +0200

python-pyproj (1.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.
  * Update copyright file for PROJ changes.
  * Drop Cython patch, included upstream. Refresh remaining patches.
  * Use nose2 for tests.
  * Add patch to not cythonize in the clean target.
  * Don't move _proj.c out of the way, file no longer included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Dec 2018 08:59:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,20 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                cython,
+               cython3,
                python-all-dev,
                python-setuptools,
+               python-nose2,
                python-numpy,
                python3-all-dev,
                python3-setuptools,
+               python3-nose2,
                python3-numpy,
                libproj-dev (>= 4.9.0~)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
-Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
-Homepage: https://github.com/jswhit/pyproj
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git -b master-1.x
+Homepage: https://github.com/pyproj4/pyproj
 
 Package: python-pyproj
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pyproj
+export PYBUILD_DISABLE=test/python2
 
 # Path to system installed Proj.4 data.
 export PROJ_DIR=/usr/
@@ -27,22 +28,14 @@
 	         lib/pyproj/data/prvi lib/pyproj/data/stgeorge \
 	         lib/pyproj/data/stlrnc lib/pyproj/data/stpaul \
 	         nad2bin nad2bin.o \
-	         src/pj_malloc.o
-
-override_dh_auto_configure:
-	mv -v $(CURDIR)/_proj.c $(CURDIR)/_proj.c.bak
-
-	dh_auto_configure
-
-override_dh_auto_build:
-	dh_auto_build
-
-	mv -v $(CURDIR)/_proj.c.bak $(CURDIR)/_proj.c
+	         src/pj_malloc.o \
+	         _proj.c
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} unittest/test.py -v" dh_auto_test || echo "Ignoring test failures"
+	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} /usr/bin/nose2 -v" \
+	dh_auto_test
 endif
 
 override_dh_install:
@@ -50,6 +43,8 @@
 
 override_dh_python2:
 	dh_python2 -ppython-pyproj
+	dh_numpy -ppython-pyproj
 
 override_dh_python3:
 	dh_python3 -ppython3-pyproj
+	dh_numpy3 -ppython3-pyproj

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/rel$//;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)(?:rel)?\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyproj-$1.$2/ \
https://github.com/pyproj4/pyproj/releases \
(?:.*?/archive/)*(?:rel|v|pyproj|)[\-\_]?(\d[\d\-\.]+[a-z]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyproj 2.4.2+ds

=== debian/changelog ===
python-pyproj (2.4.2+ds-3) unstable; urgency=medium

  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Add patch to fix FTBFS due to test failures.
    (closes: #950660)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Feb 2020 16:45:47 +0100

python-pyproj (2.4.2+ds-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Dec 2019 05:46:49 +0100

python-pyproj (2.4.2+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Dec 2019 06:00:58 +0100

python-pyproj (2.4.2~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop Provides: ${python3:Provides}.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Nov 2019 12:31:26 +0100

python-pyproj (2.4.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2019 14:28:09 +0100

python-pyproj (2.4.1~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Nov 2019 07:03:53 +0100

python-pyproj (2.4.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Sep 2019 06:27:00 +0200

python-pyproj (2.4~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied/fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2019 14:50:23 +0200

python-pyproj (2.4~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for pre-releases.
  * Add patch to use python3 interpreter for tests.
  * Add patch to fix spelling errors.
  * Use ${python3:Provides} substvar in Provides field.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Sep 2019 07:25:56 +0200

python-pyproj (2.3.1+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 13:26:21 +0200

python-pyproj (2.3.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2019 07:27:23 +0200

python-pyproj (2.3.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Aug 2019 15:34:52 +0200

python-pyproj (2.3.0+ds-1~exp2) experimental; urgency=medium

  * Add upstream patches to fix test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Aug 2019 05:56:37 +0200

python-pyproj (2.3.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Python 2 package, no longer supported upstream.
  * Add python3-shapely to build dependencies.
  * Ignore test_datadir.py, causes FTBFS, see:
    https://github.com/pyproj4/pyproj/issues/400

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Aug 2019 16:48:49 +0200

python-pyproj (2.2.2+ds-1~exp2) experimental; urgency=medium

  * Drop aenum.patch, only required for Python < 3.6.
  * Disable tests for Python 2, see: #934116.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 14:07:00 +0200

python-pyproj (2.2.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 06:48:05 +0200

python-pyproj (2.2.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures on armhf.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Jun 2019 06:39:48 +0200

python-pyproj (2.2.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add patch to embed aenum module required for Python < 3.6.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Jun 2019 13:28:57 +0200

python-pyproj (2.1.3+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update packaging to use pytest instead of nose2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Apr 2019 06:59:30 +0200

python-pyproj (2.1.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Mar 2019 17:44:49 +0100

python-pyproj (2.1.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Mar 2019 07:20:32 +0100

python-pyproj (2.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Also ignore test failures on kfreebsd-i386 & powerpc.
  * Update GitHub URLs for move to pyproj4 organisation.
  * Add pyproj Contributors to copyright holders.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Mar 2019 16:30:11 +0100

python-pyproj (2.0.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures on i386, hppa & hurd-i386.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2019 15:36:35 +0100

python-pyproj (2.0.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Mar 2019 17:56:08 +0100

python-pyproj (2.0.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Repack tarball to exclude pre-built HTML documentation.
  * Update copyright file, changes:
    - Add Alan D. Snow to copyright holders
    - Drop license & copyright for PROJ sources
  * Bump minimum required libproj-dev to 6.0.0.
  * Drop obsolete patches. Refresh clean target patch.
  * Add proj-bin to build dependencies.
  * Add python{,3}-{mock,pytest} to build dependencies.
  * Drop obsolete dh_clean override.
  * Also call dh_numpy{,3} in dh_python{2,3} overrides.
  * Export PROJ_LIB to use packaged data files.



## python-pyproj 2.5.0+ds

=== debian/changelog ===
python-pyproj (2.5.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Feb 2020 08:04:48 +0100

python-pyproj (2.5~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Feb 2020 06:55:18 +0100

python-pyproj (2.4.2+ds-4) unstable; urgency=medium

  * Add upstream patches for PROJ 6.3.x support.
  * Add patch to fix test failure with PROJ 7.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Feb 2020 20:09:53 +0100

=== debian/control ===
Source: python-pyproj
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               cython3,
               libproj-dev (>= 6.0.0),
               proj-bin (>= 6.0.0),
               python3-all-dev,
               python3-setuptools,
               python3-mock,
               python3-numpy,
               python3-pytest,
               python3-pytest-cov,
               python3-shapely
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
Homepage: https://github.com/pyproj4/pyproj

Package: python3-pyproj
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         proj-data
Description: Python 3 interface to PROJ library
 PROJ performs cartographic transformations between geographic (lat/lon)
 and map projection (x/y) coordinates. It can also transform directly
 from one map projection coordinate system to another.
 .
 This is a Python 3 binding to PROJ, it can receive coordinates as numpy
 arrays, Python arrays, lists or scalars. This module is optimized for
 numpy arrays.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pyproj
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-v

# Path to system installed PROJ data.
export PROJ_DIR=/usr
export PROJ_LIB=/usr/share/proj

include /usr/share/dpkg/architecture.mk

%:
	dh $@ \
		--with python3 \
		--buildsystem=pybuild \
		--parallel

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),i386 hppa hurd-i386 kfreebsd-i386 powerpc))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_install:
	dh_install --list-missing

override_dh_python3:
	dh_python3 -ppython3-pyproj
	dh_numpy3 -ppython3-pyproj

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/rel$//;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/archive\/)?(?:rel|v|pyproj)?[\-\_]?(\d\S+)(?:rel)?\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyproj-$1.$2/,\
repacksuffix=+ds \
https://github.com/pyproj4/pyproj/releases \
(?:.*?/archive/)*(?:rel|v|pyproj)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyproj 2.6.1+ds

=== Makefile ===
--- 
+++ 
@@ -62,13 +62,17 @@
 
 lint: ## check style with flake8
 	flake8 --max-line-length 88 setup.py pyproj/ test/ docs/
+	flake8 --append-config=flake8/cython.cfg pyproj/
 
-check: lint ## flake8 black isort check
+check-type:
+	mypy pyproj
+
+check: lint check-type ## flake8 black isort check
 	black --check setup.py pyproj/ test/ docs/
-	isort --check --recursive -m 3 -w 88 -tc -p test setup.py pyproj/ test/ docs/
+	isort --check --recursive setup.py pyproj/ test/ docs/
 
 isort: ## order imports
-	isort --recursive -m 3 -w 88 -tc -p test setup.py pyproj/ test/ docs/
+	isort --recursive setup.py pyproj/ test/ docs/
 
 black: ## black format files
 	black setup.py pyproj/ test/ docs/

=== debian/changelog ===
python-pyproj (2.6.1+ds-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with PROJ 7.1.0.
  * Require at least PROJ 7.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2020 15:22:23 +0200

python-pyproj (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop Breaks for pyresample, fixed upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 05:42:40 +0200

python-pyproj (2.6.1~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Breaks for rdeps with autopkgtest failures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2020 06:47:48 +0200

python-pyproj (2.6.1~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 May 2020 06:25:38 +0200

python-pyproj (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years
    - Change license from MIT-short to Expat
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Mar 2020 05:46:33 +0100

python-pyproj (2.6.0~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2020 06:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                cython3,
-               libproj-dev (>= 6.0.0),
-               proj-bin (>= 6.0.0),
+               libproj-dev (>= 7.1.0),
+               proj-bin (>= 7.1.0),
                python3-all-dev,
                python3-setuptools,
                python3-mock,

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 %:
 	dh $@ \
 		--with python3 \
-		--buildsystem=pybuild \
-		--parallel
+		--buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## python-pyproj 3.0.0

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	rm -f pyproj/*.c
 
 lint: ## check style with flake8
-	flake8 --max-line-length 88 setup.py pyproj/ test/ docs/
+	flake8 setup.py pyproj/ test/ docs/
 	flake8 --append-config=flake8/cython.cfg pyproj/
 
 check-type:
@@ -69,10 +69,10 @@
 
 check: lint check-type ## flake8 black isort check
 	black --check setup.py pyproj/ test/ docs/
-	isort --check --recursive setup.py pyproj/ test/ docs/
+	isort --check setup.py pyproj/ test/ docs/
 
 isort: ## order imports
-	isort --recursive setup.py pyproj/ test/ docs/
+	isort setup.py pyproj/ test/ docs/
 
 black: ## black format files
 	black setup.py pyproj/ test/ docs/
@@ -87,7 +87,7 @@
 	py.test --cov-report term-missing --cov=pyproj -v -s
 
 install-docs: ## Install requirements for building documentation
-	pip install sphinx sphinx_rtd_theme
+	pip install sphinx sphinx_rtd_theme sphinx-argparse
 
 docs: ## generate Sphinx HTML documentation, including API docs
 	$(MAKE) -C docs clean
@@ -96,6 +96,10 @@
 docs-browser: docs ## generate Sphinx HTML documentation, including API docs and open in a browser
 	$(BROWSER) docs/_build/html/index.html
 
+docs-man: ## generate Sphinx man pages for CLI
+	$(MAKE) -C docs clean
+	$(MAKE) -C docs man
+
 install: clean ## install the package to the active Python's site-packages
 	python setup.py install

=== debian/changelog ===
python-pyproj (3.0.0-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Don't build docs, causes FTBFS.
    (closes: #982698)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Feb 2021 19:21:04 +0100

python-pyproj (3.0.0-1) unstable; urgency=medium

  * Ignore .post releases in watch file.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2020 10:51:26 +0100

python-pyproj (3.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Nov 2020 05:48:27 +0100

python-pyproj (3.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't run tests with cli or grid marker either.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Nov 2020 06:00:06 +0100

python-pyproj (3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't run tests with network marker.
  * Drop patches, included/applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Nov 2020 05:35:30 +0100

python-pyproj (3.0~rc0+ds1-1~exp1) experimental; urgency=medium

  * New repacked upstream release.
  * Don't exclude docs from upstream tarball.
  * Also build manpages.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 16:51:28 +0100

python-pyproj (3.0~rc0+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, included upstream.
  * Don't ignore test failures on arm*, mips* & s390x.
  * Add certifi, pandas & xarray to build dependencies.
  * Ignore test failures everywhere.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 05:46:03 +0100

python-pyproj (2.6.1+ds-4) unstable; urgency=medium

  * Ignore test failures on arm*, mips* & s390x.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 13:57:26 +0100

python-pyproj (2.6.1+ds-3) unstable; urgency=medium

  * Add patch to fix FTBFS with PROJ 7.2.0.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 12:18:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,16 @@
                libproj-dev (>= 7.1.0),
                proj-bin (>= 7.1.0),
                python3-all-dev,
+               python3-certifi,
                python3-setuptools,
                python3-mock,
                python3-numpy,
+               python3-pandas,
                python3-pytest,
                python3-pytest-cov,
-               python3-shapely
-Standards-Version: 4.5.0
+               python3-shapely,
+               python3-xarray
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export PYBUILD_NAME=pyproj
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-v
+export PYBUILD_TEST_ARGS=-v -m "not network and not cli and not grid"
 
 # Path to system installed PROJ data.
 export PROJ_DIR=/usr

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/rel$//;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/archive\/)?(?:rel|v|pyproj)?[\-\_]?(\d\S+)(?:rel)?\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyproj-$1.$2/ \
https://github.com/pyproj4/pyproj/releases \
(?:.*?/archive/)*(?:rel|v|pyproj)?[\-\_]?(\d\S+(?<!.post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyproj 3.3.0

=== Makefile ===
--- 
+++ 
@@ -60,22 +60,11 @@
 	rm -f pyproj/*/*.c
 	rm -f pyproj/*.c
 
-lint: ## check style with flake8
-	flake8 setup.py pyproj/ test/ docs/
-	flake8 --append-config=flake8/cython.cfg pyproj/
-
 check-type:
 	mypy pyproj
 
-check: lint check-type ## flake8 black isort check
-	black --check setup.py pyproj/ test/ docs/
-	isort --check setup.py pyproj/ test/ docs/
-
-isort: ## order imports
-	isort setup.py pyproj/ test/ docs/
-
-black: ## black format files
-	black setup.py pyproj/ test/ docs/
+check: check-type
+	pre-commit run --show-diff-on-failure --all-files
 
 test: ## run tests
 	py.test
@@ -87,7 +76,7 @@
 	py.test --cov-report term-missing --cov=pyproj -v -s
 
 install-docs: ## Install requirements for building documentation
-	pip install sphinx sphinx_rtd_theme sphinx-argparse
+	python -m pip install -r requirements-docs.txt
 
 docs: ## generate Sphinx HTML documentation, including API docs
 	$(MAKE) -C docs clean
@@ -104,5 +93,7 @@
 	python setup.py install
 
 install-dev: clean ## install development version to active Python's site-packages
-	pip install -U -r requirements-dev.txt
-	PYPROJ_FULL_COVERAGE=YES pip install -e . --no-use-pep517 || PYPROJ_FULL_COVERAGE=YES pip install -e .
+	python -m pip install -r requirements-dev.txt
+	pre-commit install
+	python -m pip install -r requirements-test.txt
+	PYPROJ_FULL_COVERAGE=YES python -m pip install -e . --no-use-pep517 || PYPROJ_FULL_COVERAGE=YES python -m pip install -e .

=== debian/changelog ===
python-pyproj (3.3.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:46:47 +0000

python-pyproj (3.3.0-2) unstable; urgency=medium

  * Build for all supported Python versions again.
    (closes: #1000899)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Dec 2021 07:35:51 +0100

python-pyproj (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Only build for the default Python, numpy has not been built with 3.10 yet.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Nov 2021 06:24:23 +0100

python-pyproj (3.3~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop proj-8.2.patch, fixed upstream.
  * Bump minimum required PROJ to 8.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Nov 2021 06:14:51 +0100

python-pyproj (3.2.1-2) unstable; urgency=medium

  * Add patch to fix test failures with PROJ 8.2.0.
    (closes: #998596)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Nov 2021 21:24:58 +0100

python-pyproj (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Sep 2021 06:48:37 +0200

python-pyproj (3.2.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 07:30:23 +0200

python-pyproj (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Sep 2021 07:50:13 +0200

python-pyproj (3.2~rc0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add python3-packaging to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 05:22:20 +0200

python-pyproj (3.1.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 13:13:11 +0200

python-pyproj (3.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 May 2021 05:48:19 +0200

python-pyproj (3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop test_geod patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 May 2021 07:27:51 +0200

python-pyproj (3.1~rc0-1~exp2) experimental; urgency=medium

  * Add upstream patch to fix test failure on 64bit PowerPC.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 May 2021 14:58:55 +0200

python-pyproj (3.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 May 2021 05:52:44 +0200

python-pyproj (3.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Mar 2021 06:09:07 +0100

python-pyproj (3.0.1~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #983223)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Mar 2021 05:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
-               libproj-dev (>= 7.1.0),
-               proj-bin (>= 7.1.0),
+               libproj-dev (>= 8.0.0),
+               proj-bin (>= 8.0.0),
                python3-all-dev,
                python3-certifi,
                python3-setuptools,
                python3-mock,
                python3-numpy,
+               python3-packaging,
                python3-pandas,
                python3-pytest,
                python3-pytest-cov,
                python3-shapely,
                python3-xarray
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-pyproj
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-pyproj.git
 Homepage: https://github.com/pyproj4/pyproj

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,6 @@
 endif
 endif
 
-override_dh_install:
-	dh_install --list-missing
-
 override_dh_python3:
 	dh_python3 -ppython3-pyproj
 	dh_numpy3 -ppython3-pyproj
